Bug 68103 - Draw Help for Master page view mode(s) remain incomplete, Impress mode articles are not applicable
Summary: Draw Help for Master page view mode(s) remain incomplete, Impress mode articl...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: All All
: high normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0
Keywords: skillDocumentation
Depends on:
Blocks: Help-Changes-Features
  Show dependency treegraph
 
Reported: 2013-08-14 11:41 UTC by tim
Modified: 2019-08-15 11:24 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tim 2013-08-14 11:41:43 UTC
I tried to create a heading in a Master Slide in Draw to get a page number on each page.

The whole Help section on "Adding a Header or a Footer to All Slides" does not apply to LO 4.1 Draw.  

As just one example, the Help says:

"1. Choose View - Header and Footer.
You see a dialog with two tab pages: Slide and Notes and Handouts where you can enter contents to the predefined areas. "

However, there is no such View option.  Many of the other options mentioned, including a discussion on the types of Master, seem to be wrong.

Not having used Draw much in the past I do not know when the Help became out of date, but this entry clearly needs a refresh.

Whilst this is minor, to someone new to the application it is pretty baffling.
Comment 1 tim 2013-08-16 20:50:34 UTC
The re-naming of this post, from being 'wrong', to be 'outdated' is slightly irritating.  

For the avoidance of doubt, the current help supplied with 4.1 is wrong.

The reason it is wrong may be because it is outdated, but that is cause, not effect.

I know nothing about LO update processes.  I am well aware it's free, and we should all make enormous allowances for that.  

Nonetheless, when updates are made is there any even vaguely formal process for checking that the help is still correct, or reasonably appropriate? In this case it is completely inappropriate and misleading.
Comment 2 tim 2013-08-18 12:04:21 UTC
I posted a note about this on the LO forum, and had some helpful feedback.  

I was using the built-in Help for Draw.  This has a section "Adding a Header or a Footer to All Slides" which is actually for Impress, not Draw.  

Doing a search for online help with this title leads to https://help.libreoffice.org/Impress/Adding_a_Header_or_a_Footer_to_All_Slides

So what appears to have happened is that the Impress Help has infiltrated the Draw Help in the downloaded Help.
Comment 3 Joel Madero 2013-09-24 13:46:11 UTC
I have been able to confirm the issue on:
Version: 4.2.0.0.alpha0+ Build ID: 4547d8c42e5b0bb456ac02fbea67059a8a1cadd7
Date: Tue Sep 24 01:49:59 2013 +0300
Platform: Bodhi Linux 2.2 x64

Very interesting, so you're seeing:

https://help.libreoffice.org/Impress/Adding_a_Header_or_a_Footer_to_All_Slides

Which is clearly Impress related. The reason for this (it is a bug by the way) is that Impress and Draw are actually very similar, using a lot of the same code. Likely that someone used cross compatible code that carried the help over.

This being said, we have a team of a couple hundred volunteers (mostly), so yes we do have a check in process but when there are hundreds of thousands of things you can do with the product, it's impossible that we check it all. We rely on users (and incredibly helpful volunteers) to do quality checks.

If you're interested in helping QA, please feel free to contact me, we could surely use the help to do as much quality checking before release as possible.

I am bumping this up to "normal-high" as we want our help files functional for users. I'm also adding to MAB since we've done this in the past.
Comment 4 Björn Michaelsen 2014-01-17 09:51:49 UTC Comment hidden (obsolete)
Comment 5 tommy27 2014-05-13 05:29:42 UTC
please retest against 4.2.4.2
if bug persists please move it to mab4.2 list since 4.1.x is EOL
Comment 6 Joel Madero 2014-05-13 05:33:01 UTC
I am actually removing this from MAB - apologies, I put it there to begin with and it honestly shouldn't be on the list.
Comment 7 tim 2014-05-13 07:26:34 UTC
It's a while since I raised this, so please bear with me.

I just have tried this on 4.2.4.2 (with British help), with a recently new set of user configuration files.  

I open a new Draw document, and View, Slide Master.  I want to add a Header.  In the Help for Draw, headers and footers, slide masters, it says:

"Every type of master has some predefined areas to hold the date, footer, and slide numbers. ... "
"A predefined Header Area is available only for notes and handouts. If you want a header on all slides, you can move the Footer Area on the slide master to the top...."
"Objects that you insert on a slide master are visible on all slides that are based on that slide master.
1. Choose View - Header and Footer....."

Well, all I can say is that nowhere on the Slide Master, or the Normal Slide can I find anything to do with a header or footer.  If I add a page number to the slide master, it does appear on the normal pages, and increments for each page, but it it isn't in a 'header' object or a 'footer' object.  There is no menu item "View, Header and Footer".

May I ask, somewhat naively, whether anyone has actually just sat down and tried to follow the help for this and add a header or footer?  Or am I just being stupid?
Comment 8 Joel Madero 2014-05-13 15:01:29 UTC
Probably not - we have thousands of bugs and QA just confirms the issue (which I did) but it needs updated. Thanks for the feedback.

If you ever have some time to help QA out it would be fantastic - currently we have 1,100 unconfirmed bugs that need looked at. Send me an email if you have even a few spare cycles a month.

Thanks again
Comment 9 tim 2014-05-13 15:13:57 UTC
I do try and raise problems when I find them, however minor, and have a LibreOffice T-Shirt to prove it :).  This often takes a lot of time and energy.  For instance I spent many, many hours on a recent series of issues on Calc.  Once started I have a habit of getting rather too focused on a problem to the detriment of the rest of my life.

I'm reluctant to commit to QA partly because I don't have much in the way of environments to check specific versions or platforms.  Multiple versions on my main PC tend to give me some grief, so I try to avoid them, and I need LO to work.  I also tend to use the Ubuntu PPA releases, which follow later than the main site, since the integration is better.

So, feeling a little guilty, I won't offer to help, for now at least.  Sorry.
Comment 10 Joel Madero 2014-05-13 15:45:04 UTC
Hey,
On 05/13/2014 08:13 AM, bugzilla-daemon@freedesktop.org wrote:
> https://bugs.freedesktop.org/show_bug.cgi?id=68103
>
> --- Comment #9 from tim@tim-passingham.co.uk ---
> I do try and raise problems when I find them, however minor, and have a
> LibreOffice T-Shirt to prove it :).  This often takes a lot of time and energy.
>  For instance I spent many, many hours on a recent series of issues on Calc. 
> Once started I have a habit of getting rather too focused on a problem to the
> detriment of the rest of my life.
>
> I'm reluctant to commit to QA partly because I don't have much in the way of
> environments to check specific versions or platforms.  Multiple versions on my
> main PC tend to give me some grief, so I try to avoid them, and I need LO to
> work.  I also tend to use the Ubuntu PPA releases, which follow later than the
> main site, since the integration is better.

Well you don't need multiple platforms nor multiple versions. It's
sufficient to test on a single platform and a single version (so long as
that version is a new version) and then mark the bug as NEW with your
findings.
>
> So, feeling a little guilty, I won't offer to help, for now at least.  Sorry.
Fair enough - let me know if you change your mind (we could most
definitely use the help, right now we're just falling behind)

Best,
Joel
Comment 11 tim 2014-05-13 16:27:17 UTC
Will do.

Tim
Comment 12 Björn Michaelsen 2014-07-12 20:18:14 UTC
Priority highest is reserved for MABs, please see: https://wiki.documentfoundation.org/MAB on when a bug qualifies for that.

Thus keeping this on priority high.
Comment 13 Julien Nabet 2015-05-14 22:11:54 UTC
On LO Debian package 4.4.3, not only there's no "Headers and Footers" in View menu in Draw but it's not present at all (or missed it).
In Impress, "Headers and Footers" entry is in "Insert" menu.

So
1) At minimum, https://help.libreoffice.org/Impress/Adding_a_Header_or_a_Footer_to_All_Slides is wrong.
2) Is it normal there's no "Headers and Footers" entry in Draw?

ux-team: thought you might be interested in point 2), any opinion?
Comment 14 Robinson Tryon (qubit) 2015-12-10 07:56:36 UTC Comment hidden (obsolete)
Comment 15 Robinson Tryon (qubit) 2016-08-25 05:39:15 UTC Comment hidden (obsolete)
Comment 17 tim 2016-12-08 09:31:17 UTC
All I can say is that the Help I have still says you can add a header to a Draw master slide, but the facility does not seem to exist. Am I just being dim?

I can't see how that makes the status 'resolved', but I haven't seen fit to change it yet. 

I'm on Version: 5.2.4.1
Build ID: 1:5.2.4~rc1-0ubuntu1~yakkety1
CPU Threads: 8; OS Version: Linux 4.8; UI Render: default; VCL: x11; 
Locale: en-GB (en_GB.UTF-8); Calc: group
Comment 18 tim 2016-12-08 09:31:38 UTC Comment hidden (obsolete)
Comment 19 tim 2016-12-08 09:32:47 UTC Comment hidden (obsolete)
Comment 20 tim 2016-12-08 09:35:13 UTC Comment hidden (no-value)
Comment 21 V Stuart Foote 2016-12-08 16:45:49 UTC
(In reply to Gabor Kelemen from comment #16)
> This seems to be fixed since 
> https://cgit.freedesktop.org/libreoffice/help/commit/
> ?id=32a855a02c55f864af7b2d1a7ebddd55043e297b

No, unfortunately that was the Impress help not the Draw help which has diverged further. 

Jay had actually done some work on the Draw menu View entry (main0103.xhp) with

https://gerrit.libreoffice.org/#/c/19721/

https://cgit.freedesktop.org/libreoffice/help/commit/?id=886917bcac6656b66f78c84c57cc308299992008

But we still lack an article on the Normal/Master page view for Draw, and using find the linked Impress slide help is simply confusing in the Draw page context. 

The best documentation for use of Master pages in Draw remains the "Advanced Draw Techniques" from the 4.3 Draw Guide [1].  Those details have never been incorporated into the F1 local or Web Help.

This remains a valid deficiency in our user help.

=-ref-=
[1] http://documentation.libreoffice.org/assets/Uploads/Documentation/DG4.3/PDF/DG4311-AdvancedDrawTechniques.pdf
Comment 22 V Stuart Foote 2016-12-08 16:58:26 UTC
(In reply to tim from comment #19)
> All I can say is that the Help I have still says you can add a header to a
> Draw master slide, but the facility does not seem to exist. Am I just being
> dim?

It is not you, the Help is misleading there is no defined "Header"/"Footer" object in a draw context.

But it is trivial to implement any needed content as for a header or footer, watermark
 
Draw:  View -> Master, and on the Background objects layer enter any "field" data, layout frames, any text, background "watermark" as needed including additional layers if those work better.  

Everything that is in the Draw page master will appear on every page of the drawing. 

You can also create (or import) multiple master page templates and selectively apply those to pages of a Draw document.
Comment 23 Heiko Tietze 2017-09-26 15:11:39 UTC
Removing needsUX and deveval as it's a documentation issue.
Comment 24 Commit Notification 2019-06-06 13:39:13 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/+/2c84c28bc30456c8eb4e0473887ce1d5ff3e4209%5E%21

tdf#68103 Mark differences between Draw and Impress